import {httpApi} from "../../request/httpApi";

export default {
  //分页
async getarchiveQueryPage(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archivesauto/pageByArchivesAuto',
        method: 'get',
        params: form,

    }, msg);
  },
  //获取目录树 /blade-manager/archiveTreeContract/getArchiveTreeByNodeType
  async getArchiveTreeByNodeType(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/archiveTreeContract/getArchiveTreeByNodeType',
        method: 'get',
        params: form,

    }, msg);
  },
//获取目录树子节点 GET/blade-manager/archiveTreeContract/getChildrenNodeByNodeId
  async getChildrenNodeByNodeId(form, msg = true) {
    return httpApi({
        url: '/api/blade-manager/archiveTreeContract/getChildrenNodeByNodeId',
        method: 'get',
        params: form,

    }, msg);
  },
  //获取档案查询类别/blade-archive/archivesauto/getCarrierTypeByDict
  async getCarrierTypeByDict(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archivesauto/getCarrierTypeByDict',
        method: 'get',
        params: form,

    }, msg);
  },
    //档案柜切换档案查看权限
    async getArchivesAuthByUser(form, msg = true) {
        return httpApi({
            url: '/api/blade-archive/archivesauto/getArchivesAuthByUser',
            method: 'get',
            params: form,
        }, msg);
    },
}
